Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(16)

Issue 29562614: Issue 5752 - Removing safari support (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 1 month ago by tlucas
Modified:
2 years, 1 month ago
CC:
kzar, Wladimir Palant
Visibility:
Public.

Description

Issue 5752 - Removing safari support

Patch Set 1 #

Patch Set 2 : Rebasing, removing additional files #

Total comments: 4

Patch Set 3 : Rebasing against #5751 @ Patch Set 5 #

Patch Set 4 : Addressing comment #

Patch Set 5 : NO CHANGE rebasing against #5751 @ Patch Set 6 #

Total comments: 1

Patch Set 6 : NO CHANGE rebase against #5751 @ Patch Set 7 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+10 lines, -589 lines) Patch
M build.py View 1 2 3 6 chunks +8 lines, -13 lines 0 comments Download
D packagerSafari.py View 1 chunk +0 lines, -181 lines 0 comments Download
M releaseAutomation.py View 1 2 3 chunks +2 lines, -8 lines 0 comments Download
D templates/Info.plist.tmpl View 1 1 chunk +0 lines, -165 lines 0 comments Download
D templates/background.html.tmpl View 1 1 chunk +0 lines, -9 lines 0 comments Download
D templates/safariInfo.js.tmpl View 1 chunk +0 lines, -18 lines 0 comments Download
D templates/xartoc.xml.tmpl View 1 1 chunk +0 lines, -54 lines 0 comments Download
M tox.ini View 1 2 3 4 5 1 chunk +0 lines, -1 line 0 comments Download
D xarfile.py View 1 1 chunk +0 lines, -140 lines 0 comments Download

Messages

Total messages: 9
tlucas
Patch Set 1 * Removing safari build- and release targets Please note that this was ...
2 years, 1 month ago (2017-10-02 10:39:03 UTC) #1
tlucas
Adding Wladimir to CC.
2 years, 1 month ago (2017-10-02 10:43:36 UTC) #2
Sebastian Noack
There are more files specific to Safari that can be removed: xarfile.py templates/Info.plist templates/xartoc.xml.tmpl templates/background.html.tmpl
2 years, 1 month ago (2017-10-03 02:31:03 UTC) #3
tlucas
Patch Set 2 * Rebasing agains 5751 * Removing additional files Please note, this code ...
2 years, 1 month ago (2017-10-04 12:04:11 UTC) #4
Vasily Kuznetsov
Hi Tristan, In general it all looks good to me, I just have one comment ...
2 years, 1 month ago (2017-10-05 20:45:18 UTC) #5
tlucas
Patch Set 4 * Fixed string / tuple mix-up @ Vasily: the sequence of patches ...
2 years, 1 month ago (2017-10-06 09:21:55 UTC) #6
Vasily Kuznetsov
On 2017/10/06 09:21:55, tlucas wrote: > Patch Set 4 > > * Fixed string / ...
2 years, 1 month ago (2017-10-09 20:18:42 UTC) #7
Sebastian Noack
LGTM https://codereview.adblockplus.org/29562614/diff/29571611/build.py File build.py (right): https://codereview.adblockplus.org/29562614/diff/29571611/build.py#newcode14 build.py:14: knownTypes = ('gecko-webext', 'chrome', 'generic', 'edge') These tuples ...
2 years, 1 month ago (2017-10-10 04:55:23 UTC) #8
tlucas
2 years, 1 month ago (2017-10-10 13:01:02 UTC) #9
On 2017/10/10 04:55:23, Sebastian Noack wrote:
> LGTM
> 
> https://codereview.adblockplus.org/29562614/diff/29571611/build.py
> File build.py (right):
> 
> https://codereview.adblockplus.org/29562614/diff/29571611/build.py#newcode14
> build.py:14: knownTypes = ('gecko-webext', 'chrome', 'generic', 'edge')
> These tuples should be rather set literals. Anyway, this is unrelated. But if
> you agree, feel free to submit a separate "Noissue" patch.

Yes, i agree. Filed a new review: https://codereview.adblockplus.org/29572671/
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 87257f5